#!/usr/bin/python3
url_seen = set()
with open("lawsoc_office_email.txt", 'r') as f:
    data = f.read()
    with open("office_email_stripped.txt", 'w') as o:
        for line in data.split('\n'):
            url = line.split('@')[-1]
            if url not in url_seen:  # not a duplicate
                o.write(url + '\n')
                url_seen.add(url)
